I getting compiler error when trying to build kwidgetsaddons. The error log said:

# kdesrc-build running: 'cmake' '/home/rnm/kde/src/kwidgetsaddons' '-G' 'Unix Makefiles' '-DCMAKE_BUILD_TYPE=RelWithDebInfo' '-DBUILD_TESTING=TRUE' '-DCMAKE_CXX_FLAGS:STRING=-pipe' '-DCMAKE_INSTALL_PREFIX=/home/rnm/kde/usr'
# from directory: /home/rnm/kde/build/kwidgetsaddons
-- The C compiler identification is GNU 10.2.1
-- The CXX compiler identification is GNU 10.2.1
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- 

Installing in /home/rnm/kde/usr. Run /home/rnm/kde/build/kwidgetsaddons/prefix.sh to set the environment for KWidgetsAddons.
-- Looking for __GLIBC__
-- Looking for __GLIBC__ - found
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_DATE_TIME
-- Performing Test HAVE_DATE_TIME - Success
-- Performing Test COMPILER_HAS_HIDDEN_VISIBILITY
-- Performing Test COMPILER_HAS_HIDDEN_VISIBILITY - Success
-- Performing Test COMPILER_HAS_HIDDEN_INLINE_VISIBILITY
-- Performing Test COMPILER_HAS_HIDDEN_INLINE_VISIBILITY - Success
-- Performing Test COMPILER_HAS_DEPRECATED_ATTR
-- Performing Test COMPILER_HAS_DEPRECATED_ATTR - Success
-- At least one python version must be available to use PythonModuleGeneration.
-- The following features have been enabled:

 * DESIGNERPLUGIN, Build plugin for Qt Designer

-- The following REQUIRED packages have been found:

 * ECM (required version >= 5.75.0), Extra CMake Modules., <https://commits.kde.org/extra-cmake-modules>
 * Qt5Gui (required version >= 5.15.1)
 * Qt5Widgets
 * Qt5Test
 * Qt5 (required version >= 5.12.0)

-- The following features have been disabled:

 * QCH, API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)

-- The following OPTIONAL packages have not been found:

 * PythonModuleGeneration

-- The following REQUIRED packages have not been found:

 * Qt5UiPlugin
   Required to build Qt Designer plugins

CMake Error at /usr/share/cmake/Modules/FeatureSummary.cmake:457 (message):
  feature_summary() Error: REQUIRED package(s) are missing, aborting CMake
  run.
Call Stack (most recent call first):
  CMakeLists.txt:89 (feature_summary)


-- Configuring incomplete, errors occurred!
See also "/home/rnm/kde/build/kwidgetsaddons/CMakeFiles/CMakeOutput.log".

It said we need qt5-qttools-devel package and their dependencies to be installed.

$ sudo dnf install qt5-qttools-devel
Last metadata expiration check: 0:08:13 ago on Fri 09 Oct 2020 05:18:53 PM +08.
Dependencies resolved.
=====================================================================================================================================================================
 Package                                                    Architecture                  Version                               Repository                      Size
=====================================================================================================================================================================
Installing:
 qt5-qttools-devel                                          x86_64                        5.15.1-1.fc34                         rawhide                        183 k
Installing dependencies:
 qt5-designer                                               x86_64                        5.15.1-1.fc34                         rawhide                        165 k
 qt5-doctools                                               x86_64                        5.15.1-1.fc34                         rawhide                        690 k
 qt5-linguist                                               x86_64                        5.15.1-1.fc34                         rawhide                        872 k
 qt5-qttools-libs-designercomponents                        x86_64                        5.15.1-1.fc34                         rawhide                        796 k
 qt5-qttools-libs-help                                      x86_64                        5.15.1-1.fc34                         rawhide                        155 k

Transaction Summary
=====================================================================================================================================================================
Install  6 Packages

Total download size: 2.8 M
Installed size: 8.9 M
Is this ok [y/N]: 

let try to build now

[rnm@b0x kdesrc-build]$ kdesrc-build kwidgetsaddons
Updating sysadmin-repo-metadata (to branch master)
        Stashing local changes if any...

Building extra-cmake-modules from kf5-build-support (1/2)
        Updating extra-cmake-modules (to branch master)
        Stashing local changes if any...
        No changes to extra-cmake-modules source, proceeding to build.
        Running cmake targeting Unix Makefiles...
        Compiling... succeeded (after 0 seconds)
        Installing.. succeeded (after 0 seconds)

Building kwidgetsaddons from frameworks (2/2)
        No source update, but the last configure failed
        Updating kwidgetsaddons (to branch master)
        Stashing local changes if any...
        Source update complete for kwidgetsaddons: no files affected
        Preparing build system for kwidgetsaddons.
        Removing files in build directory for kwidgetsaddons
        Old build system cleaned, starting new build system.
        Running cmake targeting Unix Makefiles...
        Compiling... succeeded (after 6 minutes, and 13 seconds)
        Installing.. succeeded (after 0 seconds)

<<<  PACKAGES SUCCESSFULLY BUILT  >>>
extra-cmake-modules
kwidgetsaddons
 
Removing 1 out of 4 old log directories...

:-)

Edit